build: false
shallow_clone: true
platform: x86
clone_folder: c:\projects\contao-image

cache:
  - '%LOCALAPPDATA%\Composer\files'

init:
  - SET PATH=c:\php;%PATH%

install:
  - mkdir c:\php && cd c:\php
  - appveyor DownloadFile http://windows.php.net/downloads/releases/archives/php-5.6.27-Win32-VC11-x86.zip
  - 7z x php-5.6.27-Win32-VC11-x86.zip -y >nul
  - del *.zip
  - copy php.ini-production php.ini
  - echo date.timezone="UTC" >> php.ini
  - echo extension_dir=ext >> php.ini
  - echo extension=php_bz2.dll >> php.ini
  - echo extension=php_curl.dll >> php.ini
  - echo extension=php_fileinfo.dll >> php.ini
  - echo extension=php_exif.dll >> php.ini
  - echo extension=php_gd2.dll >> php.ini
  - echo extension=php_intl.dll >> php.ini
  - echo extension=php_mbstring.dll >> php.ini
  - echo extension=php_mysqli.dll >> php.ini
  - echo extension=php_openssl.dll >> php.ini
  - echo extension=php_pdo_mysql.dll >> php.ini
  - echo extension=php_soap.dll >> php.ini
  - echo extension=php_sockets.dll >> php.ini
  - echo extension=php_xmlrpc.dll >> php.ini
  - echo extension=php_xsl.dll >> php.ini
  - cd c:\projects\contao-image
  - php -r "readfile('http://getcomposer.org/installer');" | php
  - php composer.phar update --no-progress --no-interaction --ansi

test_script:
  - cd c:\projects\contao-image
  - vendor\bin\phpunit.bat
